Index: /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.h	(revision 10817)
@@ -51,19 +51,19 @@
             void setConfigValues();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
 
             // RadarListener interface
-            virtual void addObject(RadarViewable* object);
-            virtual void removeObject(RadarViewable* viewable);
-            virtual void objectChanged(RadarViewable* viewable);
+            virtual void addObject(RadarViewable* object) override;
+            virtual void removeObject(RadarViewable* viewable) override;
+            virtual void objectChanged(RadarViewable* viewable) override;
 
-            virtual void changedOwner();
-            virtual void sizeChanged();
-            virtual void angleChanged() { }
-            virtual void positionChanged() { }
-            virtual void radarTick(float dt) {}
+            virtual void changedOwner() override;
+            virtual void sizeChanged() override;
+            virtual void angleChanged() override { }
+            virtual void positionChanged() override { }
+            virtual void radarTick(float dt) override {}
 
-            inline float getRadarSensitivity() const
+            inline float getRadarSensitivity() const override
                 { return 1.0f; }
 
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.h	(revision 10817)
@@ -50,6 +50,6 @@
         virtual ~HUDRadar();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-        virtual void changedOwner();
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+        virtual void changedOwner() override;
         void setConfigValues();
 
@@ -80,5 +80,5 @@
         void set3DMaterialBack(std::string material3DBack) { this->material3DBack_ = material3DBack; }
 
-        float getRadarSensitivity() const { return this->sensitivity_; }
+        float getRadarSensitivity() const override { return this->sensitivity_; }
         // used also by RadarListener interface!
         void setRadarSensitivity(float sensitivity) { this->sensitivity_ = sensitivity; }
@@ -89,8 +89,8 @@
 
         // RadarListener interface
-        virtual void addObject(RadarViewable* viewable);
-        virtual void removeObject(RadarViewable* viewable);
-        virtual void objectChanged( RadarViewable* rv );
-        void radarTick(float dt);
+        virtual void addObject(RadarViewable* viewable) override;
+        virtual void removeObject(RadarViewable* viewable) override;
+        virtual void objectChanged( RadarViewable* rv ) override;
+        void radarTick(float dt) override;
         bool showObject( RadarViewable* rv ); //!< Do not display an object on radar, if showObject(.) is false.
 
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/HUDSpeedBar.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/HUDSpeedBar.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/HUDSpeedBar.h	(revision 10817)
@@ -44,6 +44,6 @@
         virtual ~HUDSpeedBar();
 
-        virtual void tick(float dt);
-        virtual void changedOwner();
+        virtual void tick(float dt) override;
+        virtual void changedOwner() override;
 
     private:
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/HUDTimer.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/HUDTimer.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/HUDTimer.h	(revision 10817)
@@ -43,7 +43,7 @@
         virtual ~HUDTimer();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
 
-        virtual void changedOwner();
+        virtual void changedOwner() override;
 
     private:
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/KillMessage.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/KillMessage.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/KillMessage.h	(revision 10817)
@@ -43,7 +43,7 @@
             virtual ~KillMessage() {}
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
-            void killmessage(const GametypeInfo* gtinfo, const std::string& message);
+            void killmessage(const GametypeInfo* gtinfo, const std::string& message) override;
 
         private:
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/LastManStandingInfos.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/LastManStandingInfos.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/LastManStandingInfos.h	(revision 10817)
@@ -43,7 +43,7 @@
             virtual ~LastManStandingInfos();
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             inline void setShowLives(bool value)
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/LastTeamStandingInfos.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/LastTeamStandingInfos.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/LastTeamStandingInfos.h	(revision 10817)
@@ -43,7 +43,7 @@
             virtual ~LastTeamStandingInfos();
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             inline void setShowLives(bool value)
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/PauseNotice.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/PauseNotice.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/PauseNotice.h	(revision 10817)
@@ -42,8 +42,8 @@
             PauseNotice(Context* context);
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
         protected:
-            virtual void changedTimeFactor(float factor_new, float factor_old);
+            virtual void changedTimeFactor(float factor_new, float factor_old) override;
 
         private:
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/TeamBaseMatchScore.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/TeamBaseMatchScore.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/TeamBaseMatchScore.h	(revision 10817)
@@ -43,7 +43,7 @@
             virtual ~TeamBaseMatchScore();
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             inline void setShowBases(bool value)
Index: /code/branches/cpp11_v2/src/modules/overlays/stats/Scoreboard.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/stats/Scoreboard.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/overlays/stats/Scoreboard.h	(revision 10817)
@@ -44,5 +44,5 @@
         virtual ~Scoreboard();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
 
         inline void setCreateLines(CreateLines* cl)
@@ -51,5 +51,5 @@
             { return this->createlines_; }
 
-        virtual void changedVisibility();
+        virtual void changedVisibility() override;
 
     private: // functions
Index: /code/branches/cpp11_v2/src/modules/overlays/stats/Stats.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/stats/Stats.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/overlays/stats/Stats.h	(revision 10817)
@@ -46,5 +46,5 @@
         void setConfigValues();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
 
     private: // variables
Index: /code/branches/cpp11_v2/src/modules/pickup/CollectiblePickup.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/CollectiblePickup.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/pickup/CollectiblePickup.h	(revision 10817)
@@ -61,6 +61,6 @@
             virtual ~CollectiblePickup(); //! Destructor.
 
-            virtual void changedUsed(void); //!< Is called when the pickup has transited from used to unused or the other way around.
-            virtual void changedPickedUp(void); //!< Is called when the pickup has transited from picked up to dropped or the other way around.
+            virtual void changedUsed(void) override; //!< Is called when the pickup has transited from used to unused or the other way around.
+            virtual void changedPickedUp(void) override; //!< Is called when the pickup has transited from picked up to dropped or the other way around.
 
             /**
Index: /code/branches/cpp11_v2/src/modules/pickup/Pickup.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/Pickup.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/pickup/Pickup.h	(revision 10817)
@@ -103,7 +103,7 @@
             virtual ~Pickup(); //!< Destructor.
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual const std::string& getRepresentationName() const
+            virtual const std::string& getRepresentationName() const override
                 { return this->representationName_; }
 
@@ -149,8 +149,8 @@
                 { return this->getDurationType() == pickupDurationType::continuous; }
 
-            virtual void changedPickedUp(void); //!< Should be called when the pickup has transited from picked up to dropped or the other way around.
+            virtual void changedPickedUp(void) override; //!< Should be called when the pickup has transited from picked up to dropped or the other way around.
 
         protected:
-            virtual bool createSpawner(void); //!< Facilitates the creation of a PickupSpawner upon dropping of the Pickupable.
+            virtual bool createSpawner(void) override; //!< Facilitates the creation of a PickupSpawner upon dropping of the Pickupable.
 
             /**
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupCollection.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupCollection.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupCollection.h	(revision 10817)
@@ -73,15 +73,15 @@
             virtual ~PickupCollection(); //!< Destructor.
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Creates an instance of this Class through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Creates an instance of this Class through XML.
 
-            virtual void changedUsed(void); //!< Is called when the pickup has transited from used to unused or the other way around.
-            virtual void changedCarrier(void); //!< Is called when the pickup has changed its PickupCarrier.
-            virtual void changedPickedUp(void); //!< Is called when the pickup has transited from picked up to dropped or the other way around.
+            virtual void changedUsed(void) override; //!< Is called when the pickup has transited from used to unused or the other way around.
+            virtual void changedCarrier(void) override; //!< Is called when the pickup has changed its PickupCarrier.
+            virtual void changedPickedUp(void) override; //!< Is called when the pickup has transited from picked up to dropped or the other way around.
 
-            virtual bool isTarget(const PickupCarrier* carrier) const; //!< Get whether a given class, represented by the input Identifier, is a target of this PickupCollection.
+            virtual bool isTarget(const PickupCarrier* carrier) const override; //!< Get whether a given class, represented by the input Identifier, is a target of this PickupCollection.
 
             inline void setRepresentationName(const std::string& name)
                 { this->representationName_ = name; }
-            virtual const std::string& getRepresentationName() const
+            virtual const std::string& getRepresentationName() const override
                 { return this->representationName_; }
 
@@ -98,5 +98,5 @@
 
         protected:
-            virtual bool createSpawner(void); //!< Facilitates the creation of a PickupSpawner upon dropping of the Pickupable.
+            virtual bool createSpawner(void) override; //!< Facilitates the creation of a PickupSpawner upon dropping of the Pickupable.
 
         private:
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupManager.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupManager.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupManager.h	(revision 10817)
@@ -117,7 +117,7 @@
             PickupRepresentation* getRepresentation(const std::string& name); // tolua_export
 
-            virtual void pickupChangedUsed(Pickupable* pickup, bool used); //!< Is called by the PickupListener to notify the PickupManager, that the input Pickupable has transited to the input used state.
+            virtual void pickupChangedUsed(Pickupable* pickup, bool used) override; //!< Is called by the PickupListener to notify the PickupManager, that the input Pickupable has transited to the input used state.
             static void pickupChangedUsedNetwork(uint32_t pickup, bool inUse, bool usable, bool unusable); //!< Helper method to react to the change in the used status of a Pickupable.
-            virtual void pickupChangedPickedUp(Pickupable* pickup, bool pickedUp); //!< Is called by the PickupListener to notify the PickupManager, that the input Pickupable has transited to the input pickedUp state.
+            virtual void pickupChangedPickedUp(Pickupable* pickup, bool pickedUp) override; //!< Is called by the PickupListener to notify the PickupManager, that the input Pickupable has transited to the input pickedUp state.
             static void pickupChangedPickedUpNetwork(uint32_t pickup, bool usable, uint32_t representationObjectId, const std::string& representationName, bool pickedUp); //!< Helper method to react to the change in the pickedUp status of a Pickupable.
 
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupRepresentation.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupRepresentation.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupRepresentation.h	(revision 10817)
@@ -98,5 +98,5 @@
             virtual ~PickupRepresentation(); //!< Destructor.
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a PickupRepresentation object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a PickupRepresentation object through XML.
 
             /**
@@ -129,5 +129,5 @@
             inline const std::string& getInventoryRepresentation(void) const { return this->inventoryRepresentation_; } // tolua_export
 
-            virtual void changedName();
+            virtual void changedName() override;
 
             StaticEntity* createSpawnerRepresentation(PickupSpawner* spawner); //!< Create a spawnerRepresentation for a specific PickupSpawner.
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupSpawner.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupSpawner.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupSpawner.h	(revision 10817)
@@ -82,6 +82,6 @@
             static PickupSpawner* createDroppedPickup(Context* context, Pickupable* pickup, PickupCarrier* carrier, float triggerDistance = 10.0);
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< Method for creating a PickupSpawner through XML.
-            virtual void tick(float dt); //!< Tick, checks if any Pawn is close enough to trigger.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;  //!< Method for creating a PickupSpawner through XML.
+            virtual void tick(float dt) override; //!< Tick, checks if any Pawn is close enough to trigger.
 
             /**
Index: /code/branches/cpp11_v2/src/modules/pong/Pong.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/Pong.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/pong/Pong.h	(revision 10817)
@@ -68,10 +68,10 @@
             virtual ~Pong(); //!< Destructor. Cleans up, if initialized.
 
-            virtual void start(); //!< Starts the Pong minigame.
-            virtual void end(); ///!< Ends the Pong minigame.
+            virtual void start() override; //!< Starts the Pong minigame.
+            virtual void end() override; ///!< Ends the Pong minigame.
 
-            virtual void spawnPlayer(PlayerInfo* player); //!< Spawns the input player.
+            virtual void spawnPlayer(PlayerInfo* player) override; //!< Spawns the input player.
 
-            virtual void playerScored(PlayerInfo* player, int score = 1); //!< Is called when the player scored.
+            virtual void playerScored(PlayerInfo* player, int score = 1) override; //!< Is called when the player scored.
 
             /**
@@ -87,5 +87,5 @@
 
         protected:
-            virtual void spawnPlayersIfRequested(); //!< Spawns players, and fills the rest up with bots.
+            virtual void spawnPlayersIfRequested() override; //!< Spawns players, and fills the rest up with bots.
 
             void startBall(); //!< Starts the ball with some default speed.
Index: /code/branches/cpp11_v2/src/modules/pong/PongAI.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/PongAI.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/pong/PongAI.h	(revision 10817)
@@ -66,5 +66,5 @@
             void setConfigValues();
 
-            virtual void tick(float dt); //!< Implements the behavior of the PongAI (i.e. its intelligence).
+            virtual void tick(float dt) override; //!< Implements the behavior of the PongAI (i.e. its intelligence).
 
             /**
Index: /code/branches/cpp11_v2/src/modules/pong/PongBall.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/PongBall.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/pong/PongBall.h	(revision 10817)
@@ -63,7 +63,7 @@
             virtual ~PongBall();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             /**
Index: /code/branches/cpp11_v2/src/modules/pong/PongBat.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/PongBat.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/pong/PongBat.h	(revision 10817)
@@ -60,10 +60,10 @@
             virtual ~PongBat() {}
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual void moveFrontBack(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
-            virtual void moveRightLeft(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
+            virtual void moveFrontBack(const Vector2& value) override; //!< Overloaded the function to steer the bat up and down.
+            virtual void moveRightLeft(const Vector2& value) override; //!< Overloaded the function to steer the bat up and down.
 
-            virtual void changedPlayer(); //!< Is called when the player changed.
+            virtual void changedPlayer() override; //!< Is called when the player changed.
 
             /**
Index: /code/branches/cpp11_v2/src/modules/pong/PongCenterpoint.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/PongCenterpoint.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/pong/PongCenterpoint.h	(revision 10817)
@@ -124,5 +124,5 @@
             virtual ~PongCenterpoint() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method to create a PongCenterpoint through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method to create a PongCenterpoint through XML.
 
             /**
Index: /code/branches/cpp11_v2/src/modules/pong/PongScore.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/PongScore.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/pong/PongScore.h	(revision 10817)
@@ -60,7 +60,7 @@
             virtual ~PongScore();
 
-            virtual void tick(float dt); //!< Creates and sets the caption to be displayed by the PongScore.
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner(); //!< Is called when the owner changes.
+            virtual void tick(float dt) override; //!< Creates and sets the caption to be displayed by the PongScore.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override; //!< Is called when the owner changes.
 
             /**
Index: /code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/portals/PortalEndPoint.h	(revision 10817)
@@ -63,11 +63,11 @@
             virtual ~PortalEndPoint();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedActivity(void);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedActivity(void) override;
 
             inline void setTarget(const std::string & target)                 //!< add types which are allowed to activate the PortalEndPoint
                 { this->trigger_->addTarget(target); }
 
-            void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
             static std::map<unsigned int, PortalEndPoint *> idMap_s; //!< Maps the id of each PortalEndPoint to a pointer to that PortalEndPoint
             inline void setReenterDelay(unsigned int seconds)
Index: /code/branches/cpp11_v2/src/modules/portals/PortalLink.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/portals/PortalLink.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/portals/PortalLink.h	(revision 10817)
@@ -56,5 +56,5 @@
             PortalLink(Context* context);
             virtual ~PortalLink();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void setFromID(unsigned int from)    //!< set the ID of the PortalEndPoint which should act as the entrance of this link
Index: /code/branches/cpp11_v2/src/modules/questsystem/GlobalQuest.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/GlobalQuest.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/GlobalQuest.h	(revision 10817)
@@ -93,17 +93,17 @@
             virtual ~GlobalQuest();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a GlobalQuest object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a GlobalQuest object through XML.
 
-            virtual bool fail(PlayerInfo* player); //!< Fails the Quest.
-            virtual bool complete(PlayerInfo* player); //!< Completes the Quest.
+            virtual bool fail(PlayerInfo* player) override; //!< Fails the Quest.
+            virtual bool complete(PlayerInfo* player) override; //!< Completes the Quest.
 
         protected:
-            virtual bool isStartable(const PlayerInfo* player) const; //!< Checks whether the Quest can be started.
-            virtual bool isFailable(const PlayerInfo* player) const; //!< Checks whether the Quest can be failed.
-            virtual bool isCompletable(const PlayerInfo* player) const; //!< Checks whether the Quest can be completed.
+            virtual bool isStartable(const PlayerInfo* player) const override; //!< Checks whether the Quest can be started.
+            virtual bool isFailable(const PlayerInfo* player) const override; //!< Checks whether the Quest can be failed.
+            virtual bool isCompletable(const PlayerInfo* player) const override; //!< Checks whether the Quest can be completed.
 
-            virtual QuestStatus::Value getStatus(const PlayerInfo* player) const; //!< Returns the status of the Quest for a specific player.
+            virtual QuestStatus::Value getStatus(const PlayerInfo* player) const override; //!< Returns the status of the Quest for a specific player.
 
-            virtual bool setStatus(PlayerInfo* player, const QuestStatus::Value & status); //!< Sets the status for a specific player.
+            virtual bool setStatus(PlayerInfo* player, const QuestStatus::Value & status) override; //!< Sets the status for a specific player.
 
         private:
Index: /code/branches/cpp11_v2/src/modules/questsystem/LocalQuest.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/LocalQuest.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/LocalQuest.h	(revision 10817)
@@ -87,16 +87,16 @@
             virtual ~LocalQuest();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a LocalQuest object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a LocalQuest object through XML.
 
-            virtual bool fail(PlayerInfo* player); //!< Fails the Quest.
-            virtual bool complete(PlayerInfo* player); //!< Completes the Quest.
+            virtual bool fail(PlayerInfo* player) override; //!< Fails the Quest.
+            virtual bool complete(PlayerInfo* player) override; //!< Completes the Quest.
 
         protected:
-            virtual bool isStartable(const PlayerInfo* player) const; //!< Checks whether the Quest can be started.
-            virtual bool isFailable(const PlayerInfo* player) const; //!< Checks whether the Quest can be failed.
-            virtual bool isCompletable(const PlayerInfo* player) const; //!< Checks whether the Quest can be completed.
+            virtual bool isStartable(const PlayerInfo* player) const override; //!< Checks whether the Quest can be started.
+            virtual bool isFailable(const PlayerInfo* player) const override; //!< Checks whether the Quest can be failed.
+            virtual bool isCompletable(const PlayerInfo* player) const override; //!< Checks whether the Quest can be completed.
 
-            virtual QuestStatus::Value getStatus(const PlayerInfo* player) const; //!< Returns the status of the Quest for a specific player.
-            virtual bool setStatus(PlayerInfo* player, const QuestStatus::Value & status); //!< Sets the status for a specific player.
+            virtual QuestStatus::Value getStatus(const PlayerInfo* player) const override; //!< Returns the status of the Quest for a specific player.
+            virtual bool setStatus(PlayerInfo* player, const QuestStatus::Value & status) override; //!< Sets the status for a specific player.
 
         private:
Index: /code/branches/cpp11_v2/src/modules/questsystem/Quest.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/Quest.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/Quest.h	(revision 10817)
@@ -85,5 +85,5 @@
             virtual ~Quest();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a Quest object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a Quest object through XML.
 
             /**
Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestDescription.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestDescription.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestDescription.h	(revision 10817)
@@ -67,5 +67,5 @@
             virtual ~QuestDescription();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestDescription object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a QuestDescription object through XML.
 
 // tolua_begin
